#pragma once

#include "GameDef.h"

class CDxFontTestStart : public CGameObject
{
protected:
	void Init();
};

class CMoveFont : public CGameObject
{
public:
	void SetStartState(int pos_x, int pos_y, int speed);
private:
	int x, y, m;
	CDxFont *pFont;
protected:
	void Init();
	void Exec();
};


class CTextureTestStart : public CGameObject
{
protected:
	void Init();
};

class CTextureTest : public CGameObject
{
private:
	CTexture tex;
	float x, y, mx, my;
public:
	void SetStartPosition(float sx, float sy);
protected:
	void Init();
	void Exec();
};

class CAnimationTest : public CGameObject
{
private:
	int count, frame;
	CTexture tex;
protected:
	void Init();
	void Exec();
};