#include "InputTest.h"

void CInputTestStart::Init()
{
	CTexture *texdata = new CTexture(_T("data\\026.png"));
	texdata->SetSpriteSize(64, 64);
	AppendObject(texdata, -1, "texture", true);

	AppendObject(new CInput(), -1, "input", true);
	AppendObject(new CITShip(), 1000, "ship", true);

	RemoveObject(this);
}

void CITShip::Init()
{
	tex = (CTexture*)FindObject("texture");
	x = 320;
	y = 240;
}

void CITShip::Exec()
{
	CInput *input = (CInput*)FindObject("input");
	if(input){
		// VK_LEFTɂ炸
		if(input->IsKeyDown(DIK_LEFT)){
			x -= 1.0f;
			tex->SetFrame(0);
		}else if(input->IsKeyDown(DIK_RIGHT)){
			x += 1.0f;
			tex->SetFrame(2);
		}else{
			tex->SetFrame(1);
		}

		if(input->IsKeyDown(DIK_UP)) y -= 1.0f;
		if(input->IsKeyDown(DIK_DOWN)) y += 1.0f;

		if(input->IsKeyDown(DIK_SPACE)){
			// ~TC
			AppendObject(new CITShoot(), 900, true);
		}
	}

	tex->Draw(x, y);
}

void CITShoot::Init()
{
	tex = (CTexture*)FindObject("texture");

	// 퓬@ƓʒuɃ~TCzu
	CITShip* its = (CITShip*)FindObject("ship");
	x = its->x;
	y = its->y;
}

void CITShoot::Exec()
{
	y -= 5.0f;
	if(y < -32.0f){
		RemoveObject(this);
		return;
	}

	tex->SetFrame(3);
	tex->Draw(x, y);
}
